> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeTrackingPolicy

> The `getTimeTrackingPolicy` API retrieves the active time tracking policy for a company and its assignments

### What it does:

- Returns the current overtime thresholds so they can be easily updated with `updateTimeTrackingPolicy`
- Returns the current policy's assignments so they can be updated with `addTimeTrackingPolicyAssignments` and `removeTimeTrackingPolicyAssignments`



## OpenAPI

````yaml get /reports/getTimeTrackingPolicy
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getTimeTrackingPolicy:
    get:
      tags:
        - TimeTracking Reports
      summary: getTimeTrackingPolicy
      description: >-
        The `getTimeTrackingPolicy` API retrieves the active time tracking
        policy for a company and its assignments


        ### What it does:


        - Returns the current overtime thresholds so they can be easily updated
        with `updateTimeTrackingPolicy`

        - Returns the current policy's assignments so they can be updated with
        `addTimeTrackingPolicyAssignments` and
        `removeTimeTrackingPolicyAssignments`
      operationId: getTimeTrackingPolicy
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getTimeTrackingPolicy
              companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
      responses:
        '200':
          description: Active time tracking policy
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  policy:
                    type: object
                    properties:
                      timeTrackingPolicyId:
                        type: string
                      companyId:
                        type: string
                      dailyOvertimeThreshold:
                        type: integer
                      weeklyOvertimeThreshold:
                        type: integer
                    required:
                      - timeTrackingPolicyId
                      - companyId
                      - dailyOvertimeThreshold
                      - weeklyOvertimeThreshold
                  assignedUserIds:
                    type: array
                    items:
                      type: string
                required:
                  - success
                  - policy
                  - assignedUserIds
              example:
                success: true
                policy:
                  timeTrackingPolicyId: 45C67A2B-4D64-47D2-B473-B7B5FD1CB80E
                  companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
                  dailyOvertimeThreshold: 8
                  weeklyOvertimeThreshold: 40
                assignedUserIds:
                  - C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B
          headers: {}
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: companyId is required.
          headers: {}
      deprecated: false
      security: []

````